Package org.apache.commons.codec

# Interface BinaryDecoder

All Superinterfaces:
  `Decoder`

All Known Implementing Classes:
  `Base16`, `Base32`, `Base64`, `BaseNCodec`, `BinaryCodec`, `Hex`, `PercentCodec`, `QuotedPrintableCodec`, `URLCodec`

public interface BinaryDecoder extends Decoder
Defines common decoding methods for byte array decoders.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `byte[]`
  `decode(byte[] source)`
  Decodes a byte array and returns the results as a byte array.

  ### Methods inherited from interface org.apache.commons.codec.Decoder

  `decode`

- ## Method Details

  - ### decode

    byte[] decode(byte[] source) throws DecoderException
    Decodes a byte array and returns the results as a byte array.
    Parameters:
      `source` - A byte array which has been encoded with the appropriate encoder
    Returns:
      a byte array that contains decoded content
    Throws:
      `DecoderException` - A decoder exception is thrown if a Decoder encounters a failure condition during the decode process.